1

Everything is working, solidity contracts compile. But I want to use Vyper; I love vyper, because Vitalik Buterin made it and it has such beautiful simplicity.

For some reason I cannot get hardhats vyper compiler to work in my Debian box. I followed all instructions in HardHat documentation but I get this error after trying to compile with only helloWorld.vy in the contracts directory

>sudo npx hardhat compile

An unexpected error occurred:

Error: Command failed: /root/.cache/hardhat-nodejs/compilers-v2/vyper/linux/0.3.0 -f combined_json /workspace/ethereum/hardhatProject1/contracts/helloworld.vy
/bin/sh: 1: /root/.cache/hardhat-nodejs/compilers-v2/vyper/linux/0.3.0: Exec format error

    at ChildProcess.exithandler (node:child_process:422:12)
    at ChildProcess.emit (node:events:517:28)
    at maybeClose (node:internal/child_process:1098:16)
    at Socket.<anonymous> (node:internal/child_process:450:11)
    at Socket.emit (node:events:517:28)
    at Pipe.<anonymous> (node:net:351:12) {
  code: 126,
  killed: false,
  signal: null,
  cmd: '/root/.cache/hardhat-nodejs/compilers-v2/vyper/linux/0.3.0 -f combined_json /workspace/ethereum/hardhatProject1/contracts/helloworld.vy'

GPT 4 is suggesting that the HH vyper compiler is not compatible with the Debian OS.

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Browse other questions tagged or ask your own question.